#### D.4.16.20 Degree

Procedure from library `modules.lib` (see modules_lib).

Usage:
  Degree(M); M FreeModule

Return:
  list, degrees of the generators from the module, if they are graded

Example:

    LIB "modules.lib";
    ring r;
    matrix m[2][2]=x,y3,z,xz;
    Matrix Ma=m;
    FreeModule M=Source(Ma);
    M;
    ==>  2
    ==> r
    ==> free Module
    ==>
    Degree(M);
    ==> The module isn't graded

User manual for Singular version 4.4.1, 2025, generated by texi2html.